A actualizar toca! Drupal 6.12 y 5.18

Apenas nos habíamos recuperado de la última actualización y toca nueva versión, tanto en 6.x como en 5.x.
Parece ser que el último parche (http://drupal.org/node/449078) arreglaba problemas de XSS (Cross Scripting), pero no solucionaba por completo la vulnerabilidad y han tenido que completarlo con esta actualización.
La versión 6.12 además del parche de seguridad, incluye cuatro soluciones a errores menores y la 5.18 incorpora cinco correcciones.
Es muy recomendable actualizar cuanto antes para evitar problemas con la vulnerabilidad de seguridad, si no podemos aplicar la actualización completa, al menos sí el parche, éste para drupal 6.11 y éste otro para drupal 5.17. Ojo, es necesario haber actualizado antes a 6.11 o 5.17, no se deben aplicar estos parches a versiones anteriores.

Si tenéis dudas de cómo se aplican estos parches, en drupal.org hay un paso a paso.

Comentarios

Chico, luego dirás que no... pero en Drupal os pasáis la vida actualizando y aplicando parches... al menos por lo que te leo en los feeds...

Hay dos modos de verlo, de momento estamos yendo a parche cada mes y medio más o menos, creo que no es excesivo...
Y siempre es mejor que el sistema se actualice y responda a las vulnerabilidades verdad? Es dificil encontrar el equilibrio entre un sistema estable y seguro con pocas actualizaciones debido a vulnerabilidades...

No hombre, sin duda, mejor un sistema vivo que se actualiza y mejora que uno abandonado... no hay color. Pero me preocupa que veamos "normal" un parche cada mes y medio (no en Drupal, eh, en cualquier software).

Joe, se me estan juntando las actualizaciones... :/

[...] pasado 49 días desde la última actualización de seguridad para Drupal que nos dejó el versionado en la 6.12 / 5.18 y hoy mismo ha salido una nueva versión que corrige [...]

Añadir nuevo comentario